routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return redirect('/landing');
// });

Route::get('/', 'PagesController@landing');
Route::resource('/contact', 'ContactusController')->except([
    'edit'
]);

// ROUTE AUTH
Route::group(["prefix" => "auth"], function () {
    Route::namespace("Auth")->group(function () {
        // Route::resource('/login', 'LoginController')->except([
        //     'edit'
        // ]);
        Route::get('/', 'AuthController@showFormLogin')->name('login');
        Route::get('login', 'AuthController@showFormLogin')->name('login');
        Route::post('login', 'AuthController@login');
        Route::get('register', 'AuthController@showFormRegister')->name('register');
        Route::post('register', 'AuthController@register');
        Route::post('forgot', 'AuthController@forgot')->name('forgot');

        Route::group(['middleware' => 'auth'], function () {
            // Route::get('home', 'HomeController@index')->name('home');
            Route::get('logout', 'AuthController@logout')->name('logout');
        });
    });
});

// ROUTE INDUSTRI
Route::group(["prefix" => "admin", 'middleware' => ['auth', 'web']], function () {
    Route::namespace("Admin")->group(function () {
        Route::get('/dashboard', 'DashboardController@index')->name('dashboardadmin');
        Route::get('/dashboard-industri', 'DashboardindustriController@dashboardIndustri')->name('dashboardindustri');
        Route::post('/print-bbo', 'DashboardindustriController@printBBO');
        Route::get('/profile-industri', 'ProfileindustriController@profileindustri');
        Route::get('/profile-bahanbaku', 'ProfileindustriController@bahanbaku');
        Route::get('/pelaporan-industri', 'PelaporanindustriController@pelaporanIndustri')->name('listReport');
        // Route::get('/setslider', 'SettingController@settingslider');
        Route::get('/pelaporan-detail-getYear/{id?}', 'PelaporanindustriController@detail_pelaporan_getYear');
        Route::get('/pelaporan-detail-getTw/{yearid?}/{zatactiveid?}', 'PelaporanindustriController@detail_pelaporan_getTw')->name('pelaporan.get-tw');
        Route::get('/pelaporan/get-roadmap/{zatactiveid?}/{yearid?}/{twid?}', 'PelaporanindustriController@get_roadmap')->name('pelaporan.get-roadmap');
        Route::resource('masterBBOIndustri', MasterBBOIndustriController::class);
        Route::resource('masterBBO', MasterBBOController::class);
        Route::resource('masterBBOIndustri', MasterBBOIndustriController::class);
        Route::resource('roadmap', RoadmapController::class);
        Route::get('/generate-roadmap/{zatactiveid?}/{yearfrom?}/{yearthru?}', 'RoadmapController@generateHilirisasi')->name('generatehilirisasi');
        Route::post('/listBBOIndustri', 'MasterBBOIndustriController@listBBOIndustri');

        Route::resource('/changePassword', ChangePasswordController::class);
        Route::get('/pelaporan-detail/{id?}', 'PelaporanindustriController@getdetail')->name('pelaporan.detail');
        Route::post('/pelaporan-industri', 'PelaporanindustriController@store_answer')->name('simpan.jawaban');
        // Laporan
        Route::get('/pelaporan-progress-bahan-baku', 'PelaporanindustriController@getRoadmapbahanBaku')->name('report.bahanbaku');
        Route::get('/dashboard-get-progress', 'DashboardindustriController@get_progress')->name('report.get.progress');
    });
});

// ROUTE EVALUATOR
Route::group(["prefix" => "admin", 'middleware' => ['auth', 'web']], function () {
    Route::namespace("Admin")->group(function () {
        Route::get('/dashboard-evaluator', 'DashboardevaluatorController@dashboardEvaluator')->name('dashboardevaluator');
        Route::get('/daftar-industri', 'DaftarindustriController@index');
        Route::get('/progress', 'ProgressController@index');
        Route::get('/progress/getforum', 'ProgressController@getforum');
        Route::get('/cetak-bbo', 'CetakbboController@index');
        Route::get('/cetak-industri', 'CetakindustriController@index');
        Route::resource('/inquiry', 'ContactusController')->except([
            'edit'
        ]);
        Route::resource('/content', 'ContentController')->except([
            'edit'
        ]);
        Route::resource('registrasi-industri', RegistrasiIndustriController::class);
        Route::resource('privileges', PrivilegesController::class);
        Route::resource('users-management', UserManagementController::class);
        Route::resource('zat-active-group', ZatgroupController::class);
        Route::resource('zat-active', ZatActiveController::class);
        Route::resource('/menu', 'MenuController')->except([
            'edit'
        ]);
        Route::resource('registrasi-industri', RegistrasiIndustriController::class);
        Route::resource('privileges', PrivilegesController::class);
        Route::resource('users-management', UserManagementController::class);
        Route::resource('zat-active-group', ZatgroupController::class);
        Route::resource('zat-active', ZatActiveController::class);
        Route::resource('masterBBO', MasterBBOController::class);
        Route::post('/listBBO', 'ZatActiveController@listBBO');
        Route::post('/listZatActive', 'ZatActiveController@listZatActive');
        Route::post('/progress/getforum/{id?}', 'ProgressController@simpan_qna')->name('simpan.qna');
        Route::get('/progress/getforum/{id?}', 'ProgressController@getforum');
        Route::post('/pelaporan/approval', 'ProgressController@approve_langkah')->name('approval.langkah');

        // hirilisasi
        Route::get('/hirilisasi', 'HirilisasiController@index');
        Route::post('hirilisasi', 'HirilisasiController@store')->name('store.hirilisasi');
        Route::resource('/hirilisasi', 'HirilisasiController')->except([
            'edit'
        ]);
        // END hirilisasi
        // cetak laporan //
        // Route::post('/pelaporan-industri-cetak', 'CetakEvaluator@cetak1')->name('cetak1');
        Route::get('/pelaporan-industri-cetak2/{userID?}', 'CetakEvaluator@cetak2')->name('cetak.satu');
        Route::get('/pelaporan-roadmap-all', 'CetakEvaluator@cetak_roadmap1')->name('cetak.roadmap.all');
        Route::get('/pelaporan-roadmap-all-industri', 'CetakEvaluator@cetak_roadmap2')->name('cetak.roadmap.all.industri');
        Route::get('/pelaporan-roadmap-industri', 'CetakEvaluator@get_cetak_roadmap3')->name('get.roadmap.industri');
        Route::get('/pelaporan-roadmap-industri/{usersID?}', 'CetakEvaluator@cetak_roadmap3')->name('cetak.roadmap.industri');
    });
});

// Setting Slider
Route::group(["prefix" => "admin", 'middleware' => ['auth', 'web']], function () {
    Route::namespace("Admin")->group(function () {

        Route::get('/setslider', 'SettingSliderController@index');

        Route::post('setslider', 'SettingSliderController@store')->name('store.image');
        Route::resource('/setslider', 'SettingSliderController')->except([
            'edit'
        ]);
        Route::get('/list', 'SettingSliderController@listslider
        ');
    });
});

// Setting footer
Route::group(["prefix" => "admin", 'middleware' => ['auth', 'web']], function () {
    Route::namespace("Admin")->group(function () {

        Route::get('/setfooter', 'SettingFooterController@index');

        Route::post('setfooter', 'SettingFooterController@store')->name('store.footer');
        Route::resource('/setfooter', 'SettingFooterController')->except([
            'edit'
        ]);
    });
});

// Setting tahun
Route::group(["prefix" => "admin", 'middleware' => ['auth', 'web']], function () {
    Route::namespace("Admin")->group(function () {

        Route::get('/settahun', 'SettingtahunController@index');

        Route::post('settahun', 'SettingtahunController@store')->name('store.tahun');
        Route::resource('/settahun', 'SettingtahunController')->except([
            'edit'
        ]);
    });
});

Route::get('/{article}', 'ArticleController@index');


// Demo routes
Route::get('/datatables', 'PagesController@datatables');
Route::get('/ktdatatables', 'PagesController@ktDatatables');
Route::get('/select2', 'PagesController@select2');
Route::get('/jquerymask', 'PagesController@jQueryMask');
Route::get('/icons/custom-icons', 'PagesController@customIcons');
Route::get('/icons/flaticon', 'PagesController@flaticon');
Route::get('/icons/fontawesome', 'PagesController@fontawesome');
Route::get('/icons/lineawesome', 'PagesController@lineawesome');
Route::get('/icons/socicons', 'PagesController@socicons');
Route::get('/icons/svg', 'PagesController@svg');




// Quick search dummy route to display html elements in search dropdown (header search)
Route::get('/quick-search', 'PagesController@quickSearch')->name('quick-search');

app/Models/Settingslider.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Illuminate\Support\Facades\Storage;
use Illuminate\Support\Str;

class Settingslider extends Model
{
    protected $table = 'emonev_slider';

    protected $primaryKey = 'id';

    protected $fillable = [
        "uuid",
        "judul",
        "image",
        "created_by",
        "created_at",
        "updated_by",
        "updated_at",
        "deleted_by",
        "deleted_at",

        
    ];
    protected static function boot()
    {
        parent::boot();

        static::creating(function ($model) {
            $model->uuid = Str::uuid()->getHex()->toString();
        });
    }

    public function getSlugAttribute()
    {
        return Str::slug($this->judul, "-");
    }

    public function getImageUrlAttribute()
    {
        return Storage::url('public/images/slider/' . $this->image);
    }
}

resources/views/article.blade.php
@extends('layout.blank.app')

@section('styles')
<link href="{{ asset('css/landing/menunav.css') }}" rel="stylesheet" type="text/css" />
@endsection

@section('content')
<div class="card card-custom">
    <div class="card-header">

        <h1 class="card-title align-items-start flex-column" style="width:120px;">
            <img src="{{ asset('media/logos/emonev-new-logo.png') }}" style="width: 160%;">
        </h1>

        @include('landing.nav')
        <div class="card-toolbar">
            <button type="button" onclick="window.location='{{ route('login') }}'" class="btn btn-success font-weight-bolder font-size-h6 px-8 py-4 my-3 mr-3">Login</button>

        </div>

    </div>
</div>
<img src="{{ asset('media/bg/stroke.png') }}">

<div class="container py-5">
    <div class="row">
        <div class="col-lg-12">
            <div class="card card-custom gutter-b">
                <div class="card-header border-0 pt-5">
                    <h2 class="card-title align-items-start flex-column">
                        <span class="card-label font-weight-bold font-size-h1 text-dark-75">{{$data->title}}</span>
                    </h2>
                </div>
                <div class="card-body ">
                @if($data->image)
                    <div class="d-flex align-items-center p-3">
                        <div class="row">
                            <div class="col-md-12">
                                <img src="{{ url($data->image_url) }}" style="width: 100%;"/>        
                            </div>
                               
                        </div>
                        
                    </div>
                @endif
                </div>
                <div class="card-body ">
                    <div class="d-flex align-items-center p-3">
                        
                        
                        <div class="row">
                            <div class="col-md-12">
                                {!! $data->description !!}
                            </div>
                        </div>
                        
                    </div>
                </div>
            </div>
        </div>
    </div>
   
</div>
<img src="{{ asset('media/bg/stroke.png') }}">
<div class="card card-custom">
    <div class="card-body">
        <div class="container py-8">
            <div class="row">
                <div class="col-lg-4">
                    <img src="{{ asset('media/logos/emonev-new-logo.png') }}" style="width: 65%;">
                    <br><br>
                    @foreach($footers as $footer)
                    <!-- <span>Direktorat Jenderal Kefarmasian dan Alat Kesehatan
                        Kementerian Kesehatan RI<br>
                        Gedung Dr. Adhyatma, MPH, Lt. 8 R.817<br>
                        Jl. H.R. Rasuna Said Blok X-5 Kav. 4-9<br>
                        Jakarta Selatan 12950<br>
                        Halo Kemkes ✆ 1500567
                    </span> -->
                        <span>
                            {{ $footer->nama_perusahaan}} <br>
                            {{ $footer->tempat }} <br>
                            {{ $footer->alamat_perusahaan }} <br>
                            {{ $footer->kota }} {{ $footer->kodepos }} <br>
                            {{ $footer->nama_callcenter }} ✆  {{ $footer->notelp }}
                        </span>
                    @endforeach
                </div>
            </div>
        </div>
    </div>
</div>
<div class="footer bg-white py-4 d-flex flex-lg-column" id="kt_footer">
    <!--begin::Container-->
    <div class="container-fluid d-flex flex-column flex-md-row align-items-center justify-content-between">
        <!--begin::Copyright-->
        <div class="text-dark order-2 order-md-1">
            <span class="text-muted font-weight-bold mr-2">2021©</span>
            <a href="http://keenthemes.com/metronic" target="_blank" class="text-dark-75 text-hover-primary">Emonev BBO</a>
        </div>
        <!--end::Copyright-->
        <!--begin::Nav-->
        <div class="nav nav-dark">

        </div>
        <!--end::Nav-->
    </div>
</div>
@endsection

@section('scripts')
@endsection